package com.dahua.openpicdecode;

import com.dahua.openpicdecode.lcopensdk.LCOpenApiClientSingleton;
import com.dahua.openpicdecode.lcopensdk.LCOpenSdkSingleton;
import com.dahua.openpicdecode.utils.PropertyUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.PropertySource;

@SpringBootApplication
@PropertySource("classpath:application.properties")
public class OpenPicApplication {

    private static String appId = PropertyUtil.getProperty("open.appid");

    private static String appsecret = PropertyUtil.getProperty("open.secret");

    private static String host = PropertyUtil.getProperty("open.host");

    private static String port = PropertyUtil.getProperty("open.port");

    public static void main(String[] args) {
        // 初始化客户端实例
        LCOpenApiClientSingleton.getInstance().init();
        LCOpenSdkSingleton.getInstance().initOpenApi(host, Integer.parseInt(port), appId, appsecret);
        SpringApplication.run(OpenPicApplication.class, args);
    }

}
